LoadPOFile("portuguese-br-RoG.po", "br")
modimport "suffixed_adjectives.lua"


local _G = _G or GLOBAL --access to hyperspace!

--Safe read of global variable (and set defaule value if needed)
local GetGlobal=function(gname,default)
	local res=_G.rawget(_G,gname)
	if default and not res then
		_G.rawset(_G,gname,default)
		return false
	else
		return res
	end
end


--Post init functions
local post_init_fns={}
local function AddPostInit(fn,char_name)
	--table.insert(post_init_fns,fn)
	table.insert(post_init_fns,(char_name and {fn,char_name} or {fn}))
end

--Support of old old versions of the game (non lic)
GetGlobal("IsDLCEnabled",function(x) return false end)

--Locals
local s,require,act = _G.STRINGS,_G.require,_G.ACTIONS
local nm,rec,ch = s.NAMES,s.RECIPE_DESC,s.CHARACTERS
local gen = ch.GENERIC
local gendesc = gen.DESCRIBE
local DLC = GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS)
local player; --character object (if exists)

--Characters
local willow,wolfgang,wendy,wx78 = ch.WILLOW.DESCRIBE,ch.WOLFGANG.DESCRIBE,ch.WENDY.DESCRIBE,ch.WX78.DESCRIBE
local woodie,maxwell,wicker = ch.WOODIE.DESCRIBE,ch.WAXWELL.DESCRIBE,ch.WICKERBOTTOM.DESCRIBE
--DLC characters
local wath = DLC and ch.WATHGRITHR.DESCRIBE or {} --WATHGRITHR
local webber = ch.WEBBER and ch.WEBBER.DESCRIBE or {} --supporting old versions with DLC but without webber


--Copy struct to struct recursively.
--Items are copied from "src" to "dest" but if and only if items exist in dest.
--This is useful only if you want to copy phrases from common character.
local function StructCopy(src,dest)
	for k,v in pairs(src) do
		if(type(v)=="table") then
			if(not dest[k] or type(dest[k])~="table")then 
				dest[k]={} --empty struct if absent
			end
			StructCopy(v,dest[k])
		elseif dest[k] and v then
			dest[k]=v
		end
	end
end
--GetGlobal("struct",StructCopy) --safe public global

--------------------------------------
--Detecting enabled mods
function GetAllModNames()
	local all={}
	for _, mod in ipairs( _G.ModManager.mods ) do
		if (mod.modinfo.name) then all[mod.modinfo.name]=true end
	end
	return all
end
local mod_names=GetAllModNames() --names of all enabled mods

function IsModEnabled(name)
	return (mod_names[name] or false)
end


function ch_nm(key,val)
	nm[string.upper(key)]=val
end


local glob_nm={}
--Change name and change again after game loads.
-- STRING.NAMES[key] = val, etc
local mk_nm = function(key,val,f_rec,f_gen)
	nm[string.upper(key)]=val
	AddPrefabPostInit(string.lower(key),function(inst)
		if(inst and inst.name)then
			inst.name=val
		end
		nm[string.upper(key)]=val
		--if (f_rec and f_rec~=0) then rec[string.upper(key)]=f_rec end
		--if (f_gen and f_gen~=0) then gendesc[string.upper(key)]=f_gen end
	end)
	glob_nm[string.upper(key)]=val
end
local mk=mk_nm; --short name

--After games loaded.
local glob_rec={}
local mk_rec = function(key,val)
	rec[key]=val --  
	glob_rec[key]=val --     (  Start)
end

--After games loaded.
local glob_gen={}
local mk_gen = function(key,val)
	gendesc[key]=val
	glob_gen[key]=val
end



--- Start to translate from here

--***************************************************************************************************************
--****************************************** WIZ - O BRUXO NEGRO ************************************************
--***************************************************************************************************************


if IsModEnabled("Wiz") then

GLOBAL.STRINGS.CHARACTER_TITLES.wiz = "O Bruxo Negro"
GLOBAL.STRINGS.CHARACTER_NAMES.wiz = "Wiz"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.wiz = "*Calmo e controlado.\n*Tem seus prprios itens mgicos.\n*No  muito forte."
GLOBAL.STRINGS.CHARACTER_QUOTES.wiz = "'Lanarei um feitio em voce...'"


end


--***************************************************************************************************************
--************************************** DOCES OU TRAVESSURAS ********************************************
--***************************************************************************************************************


if IsModEnabled("Trick-or-Treat") then

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local Action = GLOBAL.Action
local ActionHandler = GLOBAL.ActionHandler


require "br_halloween"
require "br_fantasia"

local TRICKORTREAT = Action(0, false)
TRICKORTREAT.str = "Doces ou Travessuras"
TRICKORTREAT.id = "TRICKORTREAT"
TRICKORTREAT.fn = function(act)
	if act.target.components.trickortreatable then
		act.target.components.trickortreatable:TrickOrTreat( act.doer )
		return true
	end


local TRYTRICKORTREAT = Action(0, true)
TRYTRICKORTREAT.str = "Doces ou Travessuras"
TRYTRICKORTREAT.id = "TRYTRICKORTREAT"
TRYTRICKORTREAT.fn = function(act)
	if act.target.components.trickortreatable then
		local reason = act.target.components.trickortreatable:GetCantTrickOrTreatReason( act.doer )

		if reason then
			act.doer.components.locomotor:Stop()
			act.doer.components.talker:Say( reason )
		end

		return true
	end
end

AddAction(TRICKORTREAT)
AddAction(TRYTRICKORTREAT)


end

end


--***************************************************************************************************************
--************************************** MOSTRAR VALORES DAS COMIDAS ********************************************
--***************************************************************************************************************



if IsModEnabled("Display Food Values") then


table.insert(GLOBAL.STRINGS, "DFV_LANG")
table.insert(GLOBAL.STRINGS, "DFV_HUNGER")
table.insert(GLOBAL.STRINGS, "DFV_HEALTH")
table.insert(GLOBAL.STRINGS, "DFV_SANITY")
table.insert(GLOBAL.STRINGS, "DFV_SPOILSOON")
table.insert(GLOBAL.STRINGS, "DFV_SPOILIN")
table.insert(GLOBAL.STRINGS, "DFV_SPOILDAY")
table.insert(GLOBAL.STRINGS, "DFV_MIN")

GLOBAL.STRINGS.DFV_LANG = "BR"
GLOBAL.STRINGS.DFV_HUNGER = "Fome"
GLOBAL.STRINGS.DFV_HEALTH = "Vida"
GLOBAL.STRINGS.DFV_SANITY = "Sanidade"
GLOBAL.STRINGS.DFV_SPOILSOON = "Estraga muito em breve"
GLOBAL.STRINGS.DFV_SPOILIN = "Estraga no"
GLOBAL.STRINGS.DFV_SPOILDAY = "dia"
GLOBAL.STRINGS.DFV_MIN = false

end


--***************************************************************************************************************
--************************************** LEITE DE BFALO E QUEIJO **********************************************
--***************************************************************************************************************



if IsModEnabled("Beefalo Milk") then
--id:250583758

local Action = GLOBAL.Action
local ActionHandler = GLOBAL.ActionHandler 
local STRINGS = GLOBAL.STRINGS

if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then

	STRINGS.CHARACTERS.GENERIC.ANNOUNCE_KICK = "Au! Me deu um coice!"

	STRINGS.NAMES.RAWMILK = "Leite Cru"
	STRINGS.NAMES.COOKEDMILK = "Leite Fresco"
	STRINGS.NAMES.CHEESE = "Queijo"
	STRINGS.NAMES.BERRYSHAKE = "Milkshake de Frutinhas"

	STRINGS.CHARACTERS.GENERIC.DESCRIBE.RAWMILK = "Nao posso beber isso assim."
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.COOKEDMILK = "Obrigado Bfalo."
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.CHEESE = "Valeu a espera."
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.BERRYSHAKE = "Ainda est gelado ao toque."

	STRINGS.CHARACTERS.WENDY.DESCRIBE.BERRYSHAKE = "Fria e gelada, como eu."
	STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.BERRYSHAKE = "Uma delcia para um dia quente."
	STRINGS.CHARACTERS.WILLOW.DESCRIBE.BERRYSHAKE = "Eu nao gosto.  muito gelado."
	STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.BERRYSHAKE = "Pode dar Wolfgang dor de cabea."
	STRINGS.CHARACTERS.WX78.DESCRIBE.BERRYSHAKE = "AGORA MAIS PARECIDO AINDA COM SANGUE."
	STRINGS.CHARACTERS.WAXWELL.DESCRIBE.BERRYSHAKE = "Bom at a ltima gota." 
	STRINGS.CHARACTERS.WOODIE.DESCRIBE.BERRYSHAKE = "A Lucy sempre gostou disso. Nao sei porque."
	STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.BERRYSHAKE = "Nunca! Nao seria de meu feitio consumir isto!" 
	STRINGS.CHARACTERS.WEBBER.DESCRIBE.BERRYSHAKE = "Mas eu ainda nao terminei de comer meus legumes!"

	STRINGS.CHARACTERS.WENDY.DESCRIBE.RAWMILK = "Nao sobrou nada para os bebes."
	STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.RAWMILK = "Est cheio de bacteria. "
	STRINGS.CHARACTERS.WILLOW.DESCRIBE.RAWMILK = "S serve quanto est quente."
	STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.RAWMILK = "Estar com pelos nela."
	STRINGS.CHARACTERS.WX78.DESCRIBE.RAWMILK = "EU O TIREI DA NATUREZA."
	STRINGS.CHARACTERS.WAXWELL.DESCRIBE.RAWMILK = "Um tanto quanto nojento." 
	STRINGS.CHARACTERS.WOODIE.DESCRIBE.RAWMILK = "Este bfalo nao ficou feliz, n?"
	STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.RAWMILK = "Nem mesmo Odin me far beber isto!"
	STRINGS.CHARACTERS.WEBBER.DESCRIBE.RAWMILK = "Vamos cozinhar para poder beber."

	STRINGS.CHARACTERS.WENDY.DESCRIBE.COOKEDMILK = "J fez parte de um ciclo de vida."
	STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.COOKEDMILK = "Just a bit more edible."
	STRINGS.CHARACTERS.WILLOW.DESCRIBE.COOKEDMILK = "Fresh and hot."
	STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.COOKEDMILK = "Makes bones strong."
	STRINGS.CHARACTERS.WX78.DESCRIBE.COOKEDMILK = "NATURAL FUEL."
	STRINGS.CHARACTERS.WAXWELL.DESCRIBE.COOKEDMILK = "Beggars can't be choosers."
	STRINGS.CHARACTERS.WOODIE.DESCRIBE.COOKEDMILK = "I used  to start every day with a cup of this."
	STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.COOKEDMILK = "I rather wait."
	STRINGS.CHARACTERS.WEBBER.DESCRIBE.COOKEDMILK = "Is it ready yet?"

	STRINGS.CHARACTERS.WENDY.DESCRIBE.CHEESE = "Time has made it better."
	STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.CHEESE = "Tasty but I don't like the smell."
	STRINGS.CHARACTERS.WILLOW.DESCRIBE.CHEESE = "Fire + time = profit."
	STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.CHEESE = "Wish I had more."
	STRINGS.CHARACTERS.WX78.DESCRIBE.CHEESE = "IT HAS CHARGED BY EVERY PASSING DAY."
	STRINGS.CHARACTERS.WAXWELL.DESCRIBE.CHEESE = "Has a color of gold."
	STRINGS.CHARACTERS.WOODIE.DESCRIBE.CHEESE = "A real dish I say."
	STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.CHEESE = "Nt meat but clse enugh. "
	STRINGS.CHARACTERS.WEBBER.DESCRIBE.COOKEDMILK = "Mum never told me it's rotten milk."

local MILK = Action()
	MILK.str = "Ordenhar"
	MILK.id = "MILK"
	MILK.fn = function(act)
			if act.target.components.milker then
			act.target.components.milker:Milk(act.doer)
			return true
		end
	end

AddAction(MILK)

	AddStategraphActionHandler("wilson", ActionHandler(MILK, "dolongaction"))

	function BeefaloPrefabPostInit(inst)

		local function getregentimefn(inst)
			if inst.components.milker then
				return TUNING.MILK_REGEN_TIME + math.random(0,TUNING.MILK_REGEN_TIME_VARIANCE)
			else
				return TUNING.MILK_REGEN_TIME
			end
		end

		inst:AddComponent("milker")
		inst.components.milker:SetUp("rawmilk", TUNING.MILK_REGEN_TIME)
		inst.components.milker.getregentimefn = getregentimefn
		
	end

	AddPrefabPostInit("beefalo", BeefaloPrefabPostInit)

	function WisecrackerPostInit(inst)
			inst.inst:ListenForEvent("kick", function(inst, data) inst.components.talker:Say(GLOBAL.GetString(inst.prefab, "ANNOUNCE_KICK")) end)
	end


end

end


--***************************************************************************************************************
--************************************** CHOCOLATE **********************************************
--***************************************************************************************************************


if IsModEnabled("Chocolate","Cho") or nm.CHOCO_COOKIES then
	--id: 293230292

GLOBAL.STRINGS.NAMES.CACAO = "Cacau"

GLOBAL.STRINGS.NAMES.CACAO_COOKED = "Cacau Torrado"

GLOBAL.STRINGS.NAMES.CHOCOLATE = "Chocolate"

GLOBAL.STRINGS.NAMES.CACAO_TREE = "Cacaueiro"

GLOBAL.STRINGS.NAMES.CHOCOLATE_MILK = "Leite Achocolatado"

GLOBAL.STRINGS.NAMES.CHOCO_ICECREAM = "Sorvete de Chocolate"

GLOBAL.STRINGS.NAMES.CHOCO_COOKIES = "Chocookies"
	
	gendesc.CACAO = "At agora nao-comestvel. Essa fruta tem uma casca muito dura."
	gendesc.CACAO_COOKED = "Graos deliciosos, tostados e amargos!"
	gendesc.CHOCOLATE = " difcil resistir!"
	gendesc.CACAO_TREE = "Que surpresa deliciosa."
	gendesc.CHOCOLATE_MILK = "Este  meu prazer oculto."
	gendesc.CHOCO_ICECREAM = "S, s, sorvete! Se nao gostar  um Z Man!"
	gendesc.CHOCO_COOKIES = "Petisco saboroso!"

	--- Willow ---
	willow.CACAO = "Misterioso... Vou queim-lo."
	willow.CACAO_COOKED = "Eu acho muito bom."
	willow.CHOCOLATE = "Quem dera fosse chocolate quente."
	willow.CACAO_TREE = "Melhor nao queim-la."
	willow.CHOCOLATE_MILK = "Iu. Esse chocolate tem cheiro de bode."
	willow.CHOCO_ICECREAM = "At mesmo coisas frias ajudam de vez em quando."
	willow.CHOCO_COOKIES = "Biscoito de chocolate!!"

	--- Wolfgang ---
	wolfgang.CACAO = "Posso esmagar com minhas maos!"
	wolfgang.CACAO_COOKED = "Pequenos sementes."
	wolfgang.CHOCOLATE = "Lembrar chocolate belga deliciosa!"
	wolfgang.CACAO_TREE = "rvore estranho com fruta estranho. Eu tomar cuidado"
	wolfgang.CHOCOLATE_MILK = "Poderoso bebida para parrudo!"
	wolfgang.CHOCO_ICECREAM = "Deliciosa sorvete floresta negro!"
	wolfgang.CHOCO_COOKIES = "Ser biscoitos super gostosas."

	--- Wendy ---
	wendy.CACAO = "Me pergunto que mistrio est se esconde nele."
	wendy.CACAO_COOKED = "Tudo ficou mais claro."
	wendy.CHOCOLATE = "Mortalmente delicioso!"
	wendy.CACAO_TREE = "Sinto vibraoes positivas vindo dela."
	wendy.CHOCOLATE_MILK = "Este copo tem um prazer obscuro."
	wendy.CHOCO_ICECREAM = "Sorvete de chocolate. A Abigail pode esperar"
	wendy.CHOCO_COOKIES = "Biscoitos com um que de depressao."

	--- WX-78 ---
	wx78.CACAO = "FRUTA ORGANICA PESADA."
	wx78.CACAO_COOKED = "BOA APARENCIA, O GOSTO SER BOM?"
	wx78.CHOCOLATE = "ALTO TEOR NUTRITIVO DETECTADO."
	wx78.CACAO_TREE = "RVORE DOCE DETECTADA."
	wx78.CHOCOLATE_MILK = "DOCE LQUIDO A VISTA."
	wx78.CHOCO_ICECREAM = "LATICNIO EXTREMAMENTE GOSTOSO."
	wx78.CHOCO_COOKIES = "BISCOITOS GOSTOSOS RECHEADOS DE CHOCOLATE."

	--- Wickerbottom ---
	wicker.CACAO = "Este cacau nao est maduro."
	wicker.CACAO_COOKED = "Graos torrados estao ganhando um sabor incomum."
	wicker.CHOCOLATE = "A essencia de vitaminas, ferro, cobre, teobromina, flavonoides e felicidade."
	wicker.CACAO_TREE = "O melhor se esconde nesta fruta."
	wicker.CHOCOLATE_MILK = "Sonho em tomar um copo de chocolate ao lado de uma lareira."
	wicker.CHOCO_ICECREAM = "Tao bom quanto um livro."
	wicker.CHOCO_COOKIES = "Hora de lanchar. Pena que eu nao tenho uma xcara de ch."

	--- Woodie ---
	woodie.CACAO = "O que eu vou fazer com isso?"
	woodie.CACAO_COOKED = "Sao gostosos mas muito duros."
	woodie.CHOCOLATE = "Pode me dar energia para cortar mais!"
	woodie.CACAO_TREE = "Posso derrub-la... Ou guardar suas frutas"
	woodie.CHOCOLATE_MILK = "Poder doce e lquido agora  meu,"
	woodie.CHOCO_ICECREAM = "Posso parar de lenhar um pouco."
	woodie.CHOCO_COOKIES = "Boa fonte de energia para lenhar."

	--- Waxwell ---
	maxwell.CACAO = "Posso cozinh-lo e assim revelar graos saborosos."
	maxwell.CACAO_COOKED = "Aqui estao eles... Agridoces."
	maxwell.CHOCOLATE = "Chocolate: uma fonte de tentaao e paixao."
	maxwell.CACAO_TREE = "Eles costumavam crescer nas runas. A natureza  intrometida."
	maxwell.CHOCOLATE_MILK = "Ha! Um copo de paixao lquida."
	maxwell.CHOCO_ICECREAM = "Bom... mas nao  o meu favorito"
	maxwell.CHOCO_COOKIES = "Aprimorei os biscoitos ordinrios."

	if DLC then 
		--- Wigfrid ---
		wath.CACAO = "Nada til para mim."
		wath.CACAO_COOKED = "Ainda assim, nao quero!"
		wath.CHOCOLATE = "Dizem que todo guerreiro deveria ter pelo menos dois desses no seu bolso."
		wath.CACAO_TREE = "Posso derrub-la com facilidade!"
		wath.CHOCOLATE_MILK = "Guerreiros devem comer o chocolate e nao bebe-lo!"
		wath.CHOCO_ICECREAM = "Bom para crianas, mas nao para um guerreiro!"
		wath.CHOCO_COOKIES = "Nao ligo para isso. Nao tem carne."

		--- Webber ---
		webber.CACAO = "Deveriamos tacar no fogo."
		webber.CACAO_COOKED = "Est ficando cada vez melhor."
		webber.CHOCOLATE = "Precisamos compartilhar!"
		webber.CACAO_TREE = "Podemos levar esta fruta numa jornada."
		webber.CHOCOLATE_MILK = "Isto ser o bastante para ns."
		webber.CHOCO_ICECREAM = "Comeremos bulbos gelados de chocolate!"
		webber.CHOCO_COOKIES = "Nham Nham!"


configuration_options =
{
	{
        name = "Cacao_CookedHP",
        label = "Vida Bonus do Cacao Cozido",
        options =
        {
            {description = "-1 (default)", data = -1},
            {description = "0", data = 0},			
            {description = "+3", data = 3},
       },
        default = -1,
    },	
    {
        name = "ChocolateHP",
        label = "Vida Bonus do Chocolate",
        options =
        {
            {description = "-3 (default)", data = -3},
            {description = "0", data = 0},			
            {description = "+10", data = 10},
			{description = "+20", data = 20},
       },
        default = -3,
    },
    {
        name = "Chocolate_MilkHP",
        label = "Vida Bonus do Leite Achocolatado",
        options =
        {
            {description = "-3 (default)", data = -3},
            {description = "0", data = 0},			
            {description = "+10", data = 10},
			{description = "+20", data = 20},
       },
        default = -3,
    },	
	    {
        name = "Chocolate_MilkTEMP",
        label = "Calor do Leite Achocolatado",
        options =
        {
            {description = "+40 (default)", data = 40},
            {description = "0", data = 0},
       },
        default = 40,
    },	
	    {
        name = "Choco_IcecreamHP",
        label = "Vida Bonus do Sorvete de Chocolate",
        options =
        {
            {description = "0 (default)", data = 0},
            {description = "-3", data = -3},			
            {description = "+10", data = 10},
       },
        default = 0,
    },	
		    {
        name = "Choco_IcecreamTEMP",
        label = "Calor do Sorvete de Chocolate",
        options =
        {
            {description = "-20 (default)", data = -20},
            {description = "-40", data = -40},
       },
        default = -20,
    },	
		{
        name = "Choco_CookiesHP",
        label = "Vida Bonus dos Chocookies",
        options =
        {
            {description = "0 (default)", data = 0},
            {description = "-3", data = -3},			
            {description = "+10", data = 10},
       },
        default = 0,
    },	
}





	end
end


--***************************************************************************************************************
--************************************** WESTON O CACTUS AMBULANTE **********************************************
--***************************************************************************************************************

if IsModEnabled("Weston the Wandering Cactus") then
--id:257257638

STRINGS=GLOBAL.STRINGS



local require = GLOBAL.require

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.cac = "O Cactus Ambulante"
GLOBAL.STRINGS.CHARACTER_NAMES.cac = "Weston"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.cac = "*Coberto por espinhos afiados\n*Adora o clima quente\n*Tem uma flor que atrai insetos"
GLOBAL.STRINGS.CHARACTER_QUOTES.cac = "\'S uso roupas de ponta!\'"

AddPostInit(function()
		ch.CAC = require "br_cac"
	end, "cac")

-- Let the game know cac is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "cac")
    end





---post init
--***************************************************************************************************************
--************************************** LINK THE HERO ***********************************************
--***************************************************************************************************************


-- LINK THE HERO --
STRINGS=GLOBAL.STRINGS
if IsModEnabled("Link","Lnk") then --Link, The Hero
	--id: 179124884
	-- Legal STRINGS
	
	s.CHARACTER_TITLES.link = "O Heri"
	s.CHARACTER_NAMES.link = "Link"
	s.CHARACTER_DESCRIPTIONS.link = "*Mais corajoso.\n*Mais forte.\n*Mais... herico."
	s.CHARACTER_QUOTES.link = "\'Nossa, descuuuuulpe-me, princesa!\'"
		s.TABS.HERO = "Herosmo" --  :  
	
	AddPostInit(function()
		ch.LINK=require "br_link"
	end, "link")


require "TradeSequence/trader_ignoreitems"

STRINGS.NAMES.LINKSWORD = "Espada do Heri"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LINKSWORD = "Uma espada lendria usada por grandes heris nas lendas de Hyrule."
STRINGS.NAMES.OCARINA = "Ocarina do Heri"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.OCARINA = "Uma ocarina mstica, herdada pela Famlia Real de Hyrule."
STRINGS.NAMES.SHIELD = "Escudo do Heri"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SHIELD = "Um escudo robusto, digno de um Heri."
STRINGS.NAMES.LINKERANG = "Bumerangue do Heri"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LINKERANG = "Um bumerangue encantado, que sempre retorna ao seu dono."
STRINGS.NAMES.WOODSWORD = "Espada de Madeira"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WOODSWORD = "Uma simples espada de madeira."
STRINGS.RECIPE_DESC.WOODSWORD = "Uma simples espada de madeira."
STRINGS.NAMES.WDSHIELD = "Escudo de Madeira"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WDSHIELD = "Um simples escudo de madeira."
STRINGS.RECIPE_DESC.WDSHIELD = "Um simples escudo de madeira."
STRINGS.NAMES.MEGTON = "Martelo do Heri"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MEGTON = "Um martelo lendrio, forjado com magia. Capaz de destruir estruturas ou pedras enormes."
STRINGS.NAMES.HEROLAN = "Lanterna do Heri"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HEROLAN = "Uma lanterna ornamentada, capaz de expelir fogo e incendiar objetos."
STRINGS.NAMES.TUNIC_RED = "Tnica Vermelha do Heri"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TUNIC_RED = "Uma tnica vermelha a prova de fogo."
STRINGS.NAMES.TUNIC_BLUE = "Tnica Azul do Heri"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TUNIC_BLUE = "Uma tnica azul a prova de gelo."
STRINGS.NAMES.TRULENS = "Lente da Verdade do Heri"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TRULENS = "Uma lente mgica que revela os segredos invisveis ao olho n."
STRINGS.NAMES.BUNNYHOOD = "Gorro de Coelho do Heri"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BUNNYHOOD = "Um chapu adorvel, com orelhas longas, que preenche o usurio com esprito da agilidade selvagem."
STRINGS.NAMES.BOTTLE_E = "Garrafa Vazia"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BOTTLE_E = "Uma garrafa vazia para guardar coisas."
STRINGS.NAMES.BOTTLE_R = "Poao Vermelha"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BOTTLE_R = "Uma garrafa revigorante de poao vermelha."
STRINGS.RECIPE_DESC.BOTTLE_R = "Uma garrafa revigorante."
STRINGS.NAMES.BOTTLE_G = "Poao Verde"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BOTTLE_G = "Uma garrafa de poao verde."
STRINGS.RECIPE_DESC.BOTTLE_G = "Uma garrafa de poao verde."
STRINGS.NAMES.BOTTLE_B = "Poao Azul"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BOTTLE_B = "Uma garrafa refrescante e revigorante de Poao Azul."
STRINGS.RECIPE_DESC.BOTTLE_B = "Uma garrafa refrescante e revigorante."
STRINGS.NAMES.DINROCK = "Fogo de Din"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DINROCK = "Uma pedra mgica que irradia o Poder da deusa Din."
STRINGS.NAMES.FARORROCK = "Vento de Farore"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FARORROCK = "Uma pedra mgica que irradia a Coragem da deusa Farore."
STRINGS.NAMES.NAYRUROCK = "Amor de Nayru"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.NAYRUROCK = "Uma pedra mgica que irradia a Sabedoria da deusa Nayru."
STRINGS.NAMES.BOMBS = "Bombas"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BOMBS = "Nao pare para admir-las! Corra!"
STRINGS.RECIPE_DESC.BOMBS = "Explosivos poderes. Pacote com dez."
STRINGS.NAMES.FAIRY = "Spryte"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FAIRY = "Sua fiel fada companheira!" 
STRINGS.NAMES.ARROWS = "Flechas"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARROWS = "Bem intil sem um arco."
STRINGS.RECIPE_DESC.ARROWS = "Projteis simples. Pacote com dez."
STRINGS.NAMES.RUPEE = "Rpias"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.RUPEE = "Todo esse dinheiro, mas nenhum lugar para gastar..."
STRINGS.ACTIONS.MARK = "Criar Ponto de Teleporte"      
STRINGS.ACTIONS.RECALL = "Teleportar"
STRINGS.ACTIONS.RESET = "Remover Ponto de Teleporte"




end


---post init
--***************************************************************************************************************
--************************************** AFTER INITIALIZATION ***********************************************
--***************************************************************************************************************

local after_start=0 -- increment each call.
local player_name --character name (is exists)
function DoAfterALL()
	after_start=after_start+1
	if(after_start~=2) then
		return false --not now yet
	end
	after_start=3 --need not
	for k,v in pairs(glob_nm) do
		nm[k]=v
	end
	for k,v in pairs(glob_rec) do
		rec[k]=v
	end
	for k,v in pairs(glob_gen) do
		gendesc[k]=v
	end
	for i=1,#post_init_fns do
		--if no filter, or filter equals character name
		if (not post_init_fns[i][2]) or post_init_fns[i][2]==player_name then
			post_init_fns[i][1]();
		end
	end
end


--Start include loading game. But not include new game initialization.
local OldStart=GLOBAL.Start
local function PostInitRusStrings()
	OldStart()
	DoAfterALL()
end
GLOBAL.Start=PostInitRusStrings; --hook on "Start"

--Getting charater object and name. This means that we are in the game (not just main menu).
AddSimPostInit(function(inst)
	player=inst
	player_name=inst.prefab
	DoAfterALL()
	GetGlobal("player_name",inst.prefab)
end)






